
  {strip}


<body onload="MyFunc()">



  {assign var=campaign value=$campaigns}
  <table  style="margin-left: 35px; margin-top: 16px;"><tr><td>  <label><font color="#800080" size="4"><b>Select Campaign :</b></font></label></td><td>
    <select id="campaign" name="camapign" onchange="MyFunc1();">
      <option value="ALL" >ALL</option>
      {foreach from=$campaign item=campaign_name}
      {if $campaign_name eq $smarty.get.campaign}
          <option value="{$campaign_name}" selected>{$campaign_name}</option>
          {else}
           <option value="{$campaign_name}">{$campaign_name}</option>
          {/if}
      {/foreach}
   </select>
  </td></tr></table>
 
  <div id="demo"></div>
  {assign var=site_url value=$url}
  <input  type="hidden" id="url" value="{$site_url}"></input>





</body>


{/strip}


<script type="text/javascript">

function MyFunc()
    {
      var campaign=document.getElementById('campaign').value;
      var url=document.getElementById('url').value;
      // var username=document.getElementById('user_name').value;
      //alert(url);

      var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function() {
      if (this.readyState == 4 && this.status == 200) {
      document.getElementById("demo").innerHTML =this.responseText;

    }
  };

    xhttp.open("GET", url+"LeadReport.php?camp="+campaign, true);
   xhttp.send();
}
  function MyFunc1()
    {
      var campaign=document.getElementById('campaign').value;
      var url=document.getElementById('url').value;
      // var username=document.getElementById('user_name').value;
      //alert(url);

      var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function() {
      if (this.readyState == 4 && this.status == 200) {
      document.getElementById("demo").innerHTML =this.responseText;

     // document.getElementById("campaign").innerHTML =campaign;
      var selectedVal = localStorage.getItem('campaign');
    if (selectedVal){
       $('#mySelect').val(selectedVal)
    }


    }
  };

    xhttp.open("GET", url+"LeadReport.php?camp="+campaign, true);
   xhttp.send();

    window.location.href="index.php?module=LeadStatus&parent=Settings&view=LeadStatusReport&block=1&fieldid=33&start=&testvar=&testvar1=&campaign="+campaign+"&sort=&order=";


}


      var counter = 1;
      var limit = 8;
    function addInput(divName){

         if (counter == limit)  {

          alert("You have reached the limit of adding " + counter + " inputs");

         }

         else {

              var newdiv = document.createElement('div');
                  newdiv.setAttribute("style", "margin-left:48px;");


              newdiv.innerHTML = "<select name='myInputs[]'  id='select' onchange='dispo_dropdown();'><option value='user_name' id='user_name'>User Name</option> <option value='user'>User Number</option><option value='customer_name'>  Customer Name</option><option value='customer_number'>Customer  Number</option><option value='dispo'>Dispo</option><option value='subdispo'>SubDispo</option><option value='status'> Dial Status</option><option value='ast_update'>Assign Status</option><option value='comments'>Comments</option>></select>"+ " <input type='text' name='myInputs1[]'>" + "<button type='button' style='margin-left: 9px;margin-top: -8px;' onClick='removeRow(this)' class='btn btn-primary fa fa-minus'></button> ";

              document.getElementById(divName).appendChild(newdiv);

              counter++;

         }
   }


function removeRow(input)
  {
      document.getElementById('dynamicInput').removeChild(input.parentNode);
  }

 function selectValue(){

  //alert("===========");


    var myInputs=document.getElementsByName('myInputs[]');
    var myInputs1=document.getElementsByName('myInputs1[]');
      var campaign=document.getElementById('campaign').value;


var output = "";
    for (var i = 0; i <myInputs.length; i++) {
      var inp=myInputs[i];
 //  alert(inp.value);
  output = output +inp.value+"$";

   }

var output1 = "";

 for (var j = 0; j < myInputs1.length; j++) {
      var inp1=myInputs1[j];
 //alert("myInputs1["+j+"].value="+inp1.value);


  output1 =  output1 +inp1.value+"$";

    }



output1 = output1.substring(0, output1.length-1);




     var url=document.getElementById('url').value;
 
    var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function() {
      if (this.readyState == 4 && this.status == 200) {
    document.getElementById("demo").innerHTML =this.responseText;
 
    }
  };



  xhttp.open("GET", "LeadReport.php?testvar="+output+"&testvar1="+output1+"&camp="+campaign, true);
  xhttp.send();
  
  window.location.href="index.php?module=LeadStatus&parent=Settings&view=LeadStatusReport&block=1&fieldid=33&start=&testvar="+output+"&testvar1="+output1+"&campaign="+campaign+"&sort=&order=";

 }



    </script>
